Bug 1670835 - [manpage] yum2dnf incorrect and missing info
Summary: [manpage] yum2dnf incorrect and missing info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Pavla Kratochvilova
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-30 12:23 UTC by Eva Mrakova
Modified: 2020-11-14 11:33 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:04 UTC

Description Eva Mrakova 2019-01-30 12:23:42 UTC
Description of problem:

there is incorrect and missing info in yum2dnf man page:

* undocumented (but available) yum compatibility subcommands:
  * groups, localinstall, repo-pkgs, update-minimal
  * not mentioned in dnf man page (as other deprecated aliases) so it'd be useful to mention them at least in yum2dnf man page

* yum-plugin-aliases
  * should be a part of dnf now, but is listed as "not ported yet"

* yum-plugin-versionlock 
  * its alternative should not be dnf-plugins-core but python3-dnf-plugin-versionlock

* yum-plugin-tsflags
  * should not be listed as "not ported yet" 
  * there should be tsflags in dnf.conf instead of it (however, not documented yet)

* yum-plugin-changelog
  * should be a part of dnf now, but is listed as "not ported yet"
 
* there's no info related to yum-cron replacement


Version-Release number of selected component (if applicable):
dnf-4.0.9.2-1.el8

How reproducible:
always

Steps to Reproduce:
man yum2dnf

Comment 2 Pavla Kratochvilova 2019-03-01 13:17:34 UTC
Some issues are fixed by this PR: https://github.com/rpm-software-management/dnf/pull/1297

Remaining issues:

* tsflags option is not documented
* there's no info related to yum-cron replacement

Comment 7 Pavla Kratochvilova 2019-04-08 08:29:47 UTC
PR for yum-cron replacement documentation: https://github.com/rpm-software-management/dnf/pull/1373

PR for the rest of the issues is already merged: https://github.com/rpm-software-management/dnf/pull/1297

Comment 11 errata-xmlrpc 2019-11-05 22:20:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.